xgboost

Public Member Functions | Static Public Member Functions | List of all members
xgboost::JsonObject Class Reference

`#include <json.h>`

Inheritance diagram for xgboost::JsonObject:
Collaboration diagram for xgboost::JsonObject:

## Public Member Functions
| JsonObject ()
| JsonObject (std::map< std::string, Json > &&object)
| JsonObject (JsonObject const &that)=delete
| JsonObject (JsonObject &&that)
void | Save (JsonWriter *writer) override
Json & | operator[] (std::string const &key) override
Json & | operator[] (int ind) override
std::map< std::string, Json > const & | GetObject () &&
std::map< std::string, Json > const & | GetObject () const &
std::map< std::string, Json > & | GetObject () &
bool | operator== (Value const &rhs) const override
Value & | operator= (Value const &rhs) override
| ~JsonObject () override=default
Public Member Functions inherited from xgboost::Value
| Value (ValueKind _kind)
ValueKind | Type () const
virtual | ~Value ()=default
std::string | TypeStr () const

## Static Public Member Functions
static bool | IsClassOf (Value const *value)

## Additional Inherited Members
Public Types inherited from xgboost::Value
enum | ValueKind { ValueKind::kString, ValueKind::kNumber, ValueKind::kInteger, ValueKind::kObject, ValueKind::kArray, ValueKind::kBoolean, ValueKind::kNull }
| Simplified implementation of LLVM RTTI. More...

## Constructor & Destructor Documentation

## ◆ JsonObject() [1/4]

xgboost::JsonObject::JsonObject | ( |  | ) |
| inline

## ◆ JsonObject() [2/4]

xgboost::JsonObject::JsonObject | ( | std::map< std::string, Json > && | object | ) |

## ◆ JsonObject() [3/4]

xgboost::JsonObject::JsonObject | ( | JsonObject const & | that | ) |
| delete

## ◆ JsonObject() [4/4]

xgboost::JsonObject::JsonObject | ( | JsonObject && | that | ) |

## ◆ ~JsonObject()

xgboost::JsonObject::~JsonObject | ( |  | ) |
| override default

## Member Function Documentation

## ◆ GetObject() [1/3]

std::map<std::string, Json>& xgboost::JsonObject::GetObject | ( |  | ) | &
| inline

## ◆ GetObject() [2/3]

std::map<std::string, Json> const& xgboost::JsonObject::GetObject | ( |  | ) | &&
| inline

## ◆ GetObject() [3/3]

std::map<std::string, Json> const& xgboost::JsonObject::GetObject | ( |  | ) | const &
| inline

## ◆ IsClassOf()

static bool xgboost::JsonObject::IsClassOf | ( | Value const * | value | ) |
| inline static

## ◆ operator=()

Value& xgboost::JsonObject::operator= | ( | Value const & | rhs | ) |
| override virtual

Implements xgboost::Value.

## ◆ operator==()

bool xgboost::JsonObject::operator== | ( | Value const & | rhs | ) | const
| override virtual

Implements xgboost::Value.

## ◆ operator[]() [1/2]

Json& xgboost::JsonObject::operator[] | ( | int | ind | ) |
| override virtual

Implements xgboost::Value.

## ◆ operator[]() [2/2]

Json& xgboost::JsonObject::operator[] | ( | std::string const & | key | ) |
| override virtual

Implements xgboost::Value.

## ◆ Save()

void xgboost::JsonObject::Save | ( | JsonWriter * | writer | ) |
| override virtual

Implements xgboost::Value.

The documentation for this class was generated from the following file:

- /home/runner/work/xgboost/xgboost/include/xgboost/json.h